How communities in India support privacy and software freedom
============================================================

 ![How communities in India support privacy and software freedom](https://opensource.com/sites/default/files/styles/image-full-size/public/images/life/people_remote_teams_world.png?itok=wI-GW8zX "How communities in India support privacy and software freedom") 
Image by : opensource.com

The free and open source communities in India, particularly Mozilla and Wikimedia communities, are leading two unique global events for better privacy and in support of free software.

[January Privacy Month][3] is led by the Mozilla community in India to educate the masses about online privacy via both online and offline outreach events. And, [Freedom in Feb][4] is led by the [Centre for Internet and Society][5] to educate content producers like bloggers and photographers on how to donate their content under [open licenses][6].

### January Privacy Month

Mozilla's January Privacy Month [began last year][7] to help celebrate the annual [Data Privacy Day][8]. In 2016, this campaign held several in-person and online events that reached [14,339,443 people across 10 countries][9]. "This was possible by sharing 1 privacy tip per day for 31 days throughout the month," says [Ankit Gadgil][10], one of the core organizers. "And this year, we have three focus areas. First of all, we have made this campaign more open and global. Mozilla communities from Brazil, Italy, and Czech Republic are actively participating this year. All essential documents is localized so that we can target more users. Secondly, We are educating participants of offline events about marketing Firefox and other Mozilla products so that the users can have hands-on experience of using these tools that help protect their privacy. The third thing is, we are encouraging everyone that participate an offline event to blog about their learning. For instance, there was a Maker Fest in in the Indian state of Gujarat recently where they used Mozilla products to teach about privacy."

This year, the campaign continues to engage people at in-person and online events. Follow #PrivacyAware to engage.

### Security tips

Mozilla products like Firefox have a security settings—both [in built][11] and in the add-on library that are fully [accessible][12] to disabled people—that help protect user’s privacy and security, are all built collaboratively and are open source.

[HTTPS Everywhere][13] can be used for [Chrome][14] and [Opera][15] to encrypt user communications so that external websites cannot see user's information. The project is built collaboratively by [The Tor Project][16] and the [Electronic Frontier Foundation][17].

### Freedom in February

[Freedom in Feb][18] is an online campaign aimed at educating content creators about [free content][19] and show them how to contribute their work under free licenses. 

**To participate:**

*   The works you will create or publish in February must be licensed under a [free license][1].
*   Content types include blog posts, other writings, and images.

Creative works like multimedia, text-based content, art and design, etc. can be licensed under several [Creative Commons licenses][20] (CC), and other types of documents can be licensed under the [GNU Free Documentation Licenses][21] (GFDL). Good examples can be found on Wikipedia, where the content is licensed under both CC and GFDL licenses, allowing people to use, share, remix, and distribute derived work both commercially and non-commercially with attribution. Additionally, there are [free software licenses][22] that allow developers to share their software and software-related documentations.

--------------------------------------------------------------------------------

作者简介：

Subhashish Panigrahi - Subhashish Panigrahi (@subhapa) is the Asia Community Catalyzer at Mozilla's Participation team, and is transitioning from his role as Programme Officer of the Centre for Internet and Society's Access To Knowledge program Earlier with Wikimedia Foundation's India Program, he is an India based educator,

--------------------------------------------------------------------------------

via: https://opensource.com/article/17/1/how-communities-india-support-privacy-software-freedom

作者：[Subhashish Panigrahi][a]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/psubhashish
[1]:https://en.wikipedia.org/wiki/Free_license#Classification_and_licenses
[2]:https://opensource.com/article/17/1/how-communities-india-support-privacy-software-freedom?rate=WhGQOnXdk0m1Yq63nNe0wTVBP-75ALKLlrssFW2lCLk
[3]:https://wiki.mozilla.org/India/task_force/Policy_and_Advocacy/January_Privacy_Month_Campaign
[4]:http://www.freedominfeb.org/
[5]:http://cis-india.org/
[6]:https://opensource.com/education/16/8/3-copyright-tips-students-and-educators
[7]:https://reps.mozilla.org/e/privacy-month-campaign/
[8]:https://en.wikipedia.org/wiki/Data_Privacy_Day
[9]:http://blog.mozillaindia.org/1611
[10]:https://reps.mozilla.org/u/ankitgadgil
[11]:https://support.mozilla.org/en-US/products/firefox/protect-your-privacy
[12]:https://support.mozilla.org/en-US/kb/advanced-panel-settings-in-firefox
[13]:https://www.eff.org/files/https-everywhere-latest.xpi
[14]:https://chrome.google.com/webstore/detail/gcbommkclmclpchllfjekcdonpmejbdp
[15]:https://addons.opera.com/extensions/details/https-everywhere/
[16]:https://www.torproject.org/
[17]:https://eff.org/
[18]:http://www.freedominfeb.org/
[19]:https://en.wikipedia.org/wiki/Free_content
[20]:https://creativecommons.org/licenses/
[21]:https://en.wikipedia.org/wiki/GNU_Free_Documentation_License
[22]:https://www.gnu.org/licenses/license-list.en.html#GPLCompatibleLicenses
[23]:https://opensource.com/user/21177/feed
[24]:https://opensource.com/users/psubhashish
